%{?mingw_package_header}
%global mingw_build_win32 0

Name:		mingw64-libewf
Version:	20140608
Release:	0%{?dist}
Summary:        MinGW compiled libewf for the Win64 target.
License:	GPLv2+
Group:		Applications/System
Source0:	libewf-%version.tar.gz
Patch0:		libuna_gcc5.patch

BuildArch:	noarch

BuildRequires:	mingw64-binutils
BuildRequires:	mingw64-filesystem >= 95
BuildRequires:	mingw64-gcc
BuildRequires:	mingw64-openssl
BuildRequires:	mingw64-win-iconv
BuildRequires:	mingw64-zlib
BuildRequires:  mingw64-winpthreads

%description
MinGW compiled libewf for the Win64 target.

%{?mingw_debug_package}

%prep
%setup -q -n libewf-%{version}
%patch0 -p1

%build
%mingw64_configure --disable-multi-threading-support
%mingw64_make %{?_smp_mflags} lib
%install
rm -rf $RPM_BUILD_ROOT
cd include
%mingw64_make install DESTDIR=$RPM_BUILD_ROOT
cd ../libewf
%mingw64_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# Drop the man pages
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}

%files -n mingw64-libewf
%{mingw64_bindir}/libewf-2.dll
%{mingw64_includedir}/libewf.h
%{mingw64_includedir}/libewf/codepage.h
%{mingw64_includedir}/libewf/definitions.h
%{mingw64_includedir}/libewf/error.h
%{mingw64_includedir}/libewf/extern.h
%{mingw64_includedir}/libewf/features.h
%{mingw64_includedir}/libewf/types.h
%{mingw64_libdir}/libewf.a
%{mingw64_libdir}/libewf.dll.a

%changelog

